FormatException (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.io
Class FormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bbn.openmap.io.FormatException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidCharException

    public class FormatException

extends java.lang.Exception

This class is used for exceptions that result from some format errors of the data when using the BinaryFile.

See Also:
  Serialized Form

Constructor Summary
`FormatException()` Construct a FormatException without a detail message.
`FormatException(java.lang.String s)` Construct a FormatException with a detail message.
`FormatException(java.lang.String s, java.lang.Throwable rootCause)` Construct a FormatException with a detail message and root cause.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the exception that caused this one.
`void` | `printStackTrace()` Prints a backtrace of this exception and the rootCause (if any) to System.err.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints a backtrace of this exception and the rootCause (if any) to a stream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints a backtrace of this exception and the rootCause (if any) to a writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatException

    public FormatException()

  Construct a FormatException without a detail message.

### FormatException

    public FormatException(java.lang.String s)

  Construct a FormatException with a detail message.

  Parameters:
    `s` - the detail message

### FormatException

    public FormatException(java.lang.String s,
                           java.lang.Throwable rootCause)

  Construct a FormatException with a detail message and root cause.

  Parameters:
    `s` - the detail message
    `rootCause` - the root cause (not null)

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the exception that caused this one.

  Returns:
    the root exception, or null if there isn't one

### printStackTrace

    public void printStackTrace()

  Prints a backtrace of this exception and the rootCause (if any) to System.err.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints a backtrace of this exception and the rootCause (if any) to a stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the stream to print to

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints a backtrace of this exception and the rootCause (if any) to a writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the writer to print to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details